Upstream information

CVE-2014-1878 at MITRE

Description

Stack-based buffer overflow in the cmd_submitf function in cgi/cmd.c in Nagios Core, possibly 4.0.3rc1 and earlier, and Icinga before 1.8.6, 1.9 before 1.9.5, and 1.10 before 1.10.3 allows remote attackers to cause a denial of service (segmentation fault) via a long message to cmd.cgi.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 864843 [CLOSED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP3
  • nagios >= 3.0.6-1.25.36.1
  • nagios-www >= 3.0.6-1.25.36.1
Patchnames:
slessp3-nagios
SUSE Linux Enterprise Server 11 SP4
  • nagios >= 3.0.6-1.25.36.1
  • nagios-www >= 3.0.6-1.25.36.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA nagios
SUSE Linux Enterprise Server for VMWare 11 SP3
  • nagios >= 3.0.6-1.25.36.1
  • nagios-www >= 3.0.6-1.25.36.1
Patchnames:
slessp3-nagios
SUSE Linux Enterprise Software Development Kit 11 SP3
  • nagios >= 3.0.6-1.25.36.1
  • nagios-devel >= 3.0.6-1.25.36.1
  • nagios-www >= 3.0.6-1.25.36.1
Patchnames:
sdksp3-nagios
SUSE Linux Enterprise Software Development Kit 11 SP4
  • nagios >= 3.0.6-1.25.36.1
  • nagios-devel >= 3.0.6-1.25.36.1
  • nagios-www >= 3.0.6-1.25.36.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA nagios
SUSE Linux Enterprise Software Development Kit 11 SP3
  • nagios >= 3.0.6-1.25.36.1
  • nagios-devel >= 3.0.6-1.25.36.1
  • nagios-www >= 3.0.6-1.25.36.1
Builds
SAT Patch Nr: 9071
SUSE Linux Enterprise Software Development Kit 11 SP3
  • nagios-devel >= 3.0.6-1.25.36.1
Builds
SAT Patch Nr: 9071
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • nagios >= 3.0.6-1.25.36.1
  • nagios-www >= 3.0.6-1.25.36.1
Builds
SAT Patch Nr: 9071
openSUSE 12.3
  • nagios >= 3.5.0-2.18.1
  • nagios-debuginfo >= 3.5.0-2.18.1
  • nagios-debugsource >= 3.5.0-2.18.1
  • nagios-devel >= 3.5.0-2.18.1
  • nagios-www >= 3.5.0-2.18.1
  • nagios-www-dch >= 3.5.0-2.18.1
  • nagios-www-debuginfo >= 3.5.0-2.18.1
Patchnames:
openSUSE-2014-291
openSUSE 13.1
  • nagios >= 3.5.1-3.9.1
  • nagios-debuginfo >= 3.5.0-2.18.1
  • nagios-debugsource >= 3.5.1-3.9.1
  • nagios-devel >= 3.5.1-3.9.1
  • nagios-www >= 3.5.1-3.9.1
  • nagios-www-dch >= 3.5.1-3.9.1
  • nagios-www-debuginfo >= 3.5.1-3.9.1
Patchnames:
openSUSE-2014-291


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP1 nagios Released
SUSE Linux Enterprise SDK 11 SP3 nagios Released
SUSE Linux Enterprise Server 11 SP1 nagios Released
SUSE Linux Enterprise Server 11 SP1 LTSS nagios Released
SUSE Linux Enterprise Server 11 SP3 nagios Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 nagios Released